freeswitch/libs/sofia-sip/libsofia-sip-ua/su/Makefile.in

1520 lines
88 KiB
Makefile

# Makefile.in generated by automake 1.9.2 from Makefile.am.
# @configure_input@
# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
@SET_MAKE@
#
# Makefile.am @template@ for su module
#
# Copyright (C) 2006 Nokia Corporation
# Contact: Pekka Pessi <pekka.pessi@nokia.com>
# Licensed under LGPL. See file COPYING.
#
# ----------------------------------------------------------------------
# Headers
# ----------------------------------------------------------------------
# Build targets
# common Makefile targets for libsofia-sip-ua(-glib) modules
# ----------------------------------------------------------
#
# run tests with valgrind
#
# Copyright (C) 2007 Nokia Corporation.
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# as published by the Free Software Foundation; either version 2.1 of
# the License, or (at your option) any later version.
# This file contains free software from Makefile.in by the Free Software
# Foundation:
# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
SOURCES = $(libsu_la_SOURCES) $(EXTRA_libsu_la_SOURCES) addrinfo.c localinfo.c su_proxy.c test_htable.c test_memmem.c test_poll.c test_su.c test_su_osx.c torture_rbtree.c torture_su.c torture_su_alloc.c torture_su_bm.c torture_su_port.c torture_su_root.c torture_su_root_osx.c torture_su_tag.c torture_su_time.c torture_su_timer.c
srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
target_triplet = @target@
bin_PROGRAMS = addrinfo$(EXEEXT) localinfo$(EXEEXT)
check_PROGRAMS = torture_su$(EXEEXT) torture_su_port$(EXEEXT) \
torture_su_alloc$(EXEEXT) torture_su_time$(EXEEXT) \
torture_su_tag$(EXEEXT) test_htable$(EXEEXT) \
torture_rbtree$(EXEEXT) test_memmem$(EXEEXT) \
torture_su_bm$(EXEEXT) torture_su_root$(EXEEXT) \
torture_su_timer$(EXEEXT) test_su$(EXEEXT) su_proxy$(EXEEXT) \
test_poll$(EXEEXT) $(am__EXEEXT_1)
DIST_COMMON = $(am__nobase_include_sofia_HEADERS_DIST) \
$(dist_pkgdata_SCRIPTS) $(srcdir)/Makefile.am \
$(srcdir)/Makefile.in $(top_srcdir)/rules/sofia.am \
$(top_srcdir)/rules/valcheck.am ChangeLog
# Use with --enable-ndebug
@NDEBUG_TRUE@am__append_1 = -DNDEBUG
subdir = libsofia-sip-ua/su
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/sac-general.m4 \
$(top_srcdir)/m4/sac-openssl.m4 $(top_srcdir)/m4/sac-su.m4 \
$(top_srcdir)/m4/sac-su2.m4 $(top_srcdir)/m4/sac-tport.m4 \
$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h \
$(top_builddir)/libsofia-sip-ua/su/sofia-sip/su_configure.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
am__DEPENDENCIES_1 =
am__libsu_la_SOURCES_DIST = su.c su_errno.c su_addrinfo.c su_alloc.c \
su_alloc_lock.c su_strdup.c su_sprintf.c su_strlst.c \
su_vector.c su_time.c su_time0.c su_wait.c su_root.c \
su_timer.c su_port.c su_port.h su_base_port.c \
su_pthread_port.c su_socket_port.c su_poll_port.c \
su_epoll_port.c su_select_port.c su_localinfo.c su_os_nw.c \
su_taglist.c su_tag.c su_tag_io.c su_log.c su_global_log.c \
su_default_log.c su_module_debug.h su_md5.c su_uniqueid.c \
su_bm.c su_osx_runloop.c
@COREFOUNDATION_TRUE@am__objects_1 = libsu_la-su_osx_runloop.lo
am_libsu_la_OBJECTS = libsu_la-su.lo libsu_la-su_errno.lo \
libsu_la-su_addrinfo.lo libsu_la-su_alloc.lo \
libsu_la-su_alloc_lock.lo libsu_la-su_strdup.lo \
libsu_la-su_sprintf.lo libsu_la-su_strlst.lo \
libsu_la-su_vector.lo libsu_la-su_time.lo libsu_la-su_time0.lo \
libsu_la-su_wait.lo libsu_la-su_root.lo libsu_la-su_timer.lo \
libsu_la-su_port.lo libsu_la-su_base_port.lo \
libsu_la-su_pthread_port.lo libsu_la-su_socket_port.lo \
libsu_la-su_poll_port.lo libsu_la-su_epoll_port.lo \
libsu_la-su_select_port.lo libsu_la-su_localinfo.lo \
libsu_la-su_os_nw.lo libsu_la-su_taglist.lo libsu_la-su_tag.lo \
libsu_la-su_tag_io.lo libsu_la-su_log.lo \
libsu_la-su_global_log.lo libsu_la-su_default_log.lo \
libsu_la-su_md5.lo libsu_la-su_uniqueid.lo libsu_la-su_bm.lo \
$(am__objects_1)
libsu_la_OBJECTS = $(am_libsu_la_OBJECTS)
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(pkgdatadir)" \
"$(DESTDIR)$(include_sofiadir)" \
"$(DESTDIR)$(include_sofiadir)"
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
@COREFOUNDATION_TRUE@am__EXEEXT_1 = torture_su_root_osx$(EXEEXT) \
@COREFOUNDATION_TRUE@ test_su_osx$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS)
addrinfo_SOURCES = addrinfo.c
addrinfo_OBJECTS = addrinfo.$(OBJEXT)
addrinfo_LDADD = $(LDADD)
addrinfo_DEPENDENCIES = libsu.la
localinfo_SOURCES = localinfo.c
localinfo_OBJECTS = localinfo.$(OBJEXT)
localinfo_LDADD = $(LDADD)
localinfo_DEPENDENCIES = libsu.la
su_proxy_SOURCES = su_proxy.c
su_proxy_OBJECTS = su_proxy.$(OBJEXT)
su_proxy_LDADD = $(LDADD)
su_proxy_DEPENDENCIES = libsu.la
test_htable_SOURCES = test_htable.c
test_htable_OBJECTS = test_htable.$(OBJEXT)
test_htable_LDADD = $(LDADD)
test_htable_DEPENDENCIES = libsu.la
test_memmem_SOURCES = test_memmem.c
test_memmem_OBJECTS = test_memmem.$(OBJEXT)
test_memmem_LDADD = $(LDADD)
test_memmem_DEPENDENCIES = libsu.la
test_poll_SOURCES = test_poll.c
test_poll_OBJECTS = test_poll.$(OBJEXT)
test_poll_LDADD = $(LDADD)
test_poll_DEPENDENCIES = libsu.la
test_su_SOURCES = test_su.c
test_su_OBJECTS = test_su.$(OBJEXT)
test_su_LDADD = $(LDADD)
test_su_DEPENDENCIES = libsu.la
test_su_osx_SOURCES = test_su_osx.c
test_su_osx_OBJECTS = test_su_osx.$(OBJEXT)
test_su_osx_LDADD = $(LDADD)
test_su_osx_DEPENDENCIES = libsu.la
torture_rbtree_SOURCES = torture_rbtree.c
torture_rbtree_OBJECTS = torture_rbtree.$(OBJEXT)
torture_rbtree_LDADD = $(LDADD)
torture_rbtree_DEPENDENCIES = libsu.la
torture_su_SOURCES = torture_su.c
torture_su_OBJECTS = torture_su.$(OBJEXT)
torture_su_LDADD = $(LDADD)
torture_su_DEPENDENCIES = libsu.la
torture_su_alloc_SOURCES = torture_su_alloc.c
torture_su_alloc_OBJECTS = torture_su_alloc.$(OBJEXT)
torture_su_alloc_LDADD = $(LDADD)
torture_su_alloc_DEPENDENCIES = libsu.la
torture_su_bm_SOURCES = torture_su_bm.c
torture_su_bm_OBJECTS = torture_su_bm.$(OBJEXT)
torture_su_bm_LDADD = $(LDADD)
torture_su_bm_DEPENDENCIES = libsu.la
torture_su_port_SOURCES = torture_su_port.c
torture_su_port_OBJECTS = torture_su_port.$(OBJEXT)
torture_su_port_LDADD = $(LDADD)
torture_su_port_DEPENDENCIES = libsu.la
torture_su_root_SOURCES = torture_su_root.c
torture_su_root_OBJECTS = torture_su_root.$(OBJEXT)
torture_su_root_LDADD = $(LDADD)
torture_su_root_DEPENDENCIES = libsu.la
torture_su_root_osx_SOURCES = torture_su_root_osx.c
torture_su_root_osx_OBJECTS = torture_su_root_osx.$(OBJEXT)
torture_su_root_osx_LDADD = $(LDADD)
torture_su_root_osx_DEPENDENCIES = libsu.la
torture_su_tag_SOURCES = torture_su_tag.c
torture_su_tag_OBJECTS = torture_su_tag.$(OBJEXT)
torture_su_tag_LDADD = $(LDADD)
torture_su_tag_DEPENDENCIES = libsu.la
torture_su_time_SOURCES = torture_su_time.c
torture_su_time_OBJECTS = torture_su_time.$(OBJEXT)
torture_su_time_LDADD = $(LDADD)
torture_su_time_DEPENDENCIES = libsu.la
torture_su_timer_SOURCES = torture_su_timer.c
torture_su_timer_OBJECTS = torture_su_timer.$(OBJEXT)
torture_su_timer_LDADD = $(LDADD)
torture_su_timer_DEPENDENCIES = libsu.la
dist_pkgdataSCRIPT_INSTALL = $(INSTALL_SCRIPT)
SCRIPTS = $(dist_pkgdata_SCRIPTS)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir) -I$(top_builddir)/libsofia-sip-ua/su/sofia-sip
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) \
$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link --tag=CC $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libsu_la_SOURCES) $(EXTRA_libsu_la_SOURCES) addrinfo.c \
localinfo.c su_proxy.c test_htable.c test_memmem.c test_poll.c \
test_su.c test_su_osx.c torture_rbtree.c torture_su.c \
torture_su_alloc.c torture_su_bm.c torture_su_port.c \
torture_su_root.c torture_su_root_osx.c torture_su_tag.c \
torture_su_time.c torture_su_timer.c
DIST_SOURCES = $(am__libsu_la_SOURCES_DIST) $(EXTRA_libsu_la_SOURCES) \
addrinfo.c localinfo.c su_proxy.c test_htable.c test_memmem.c \
test_poll.c test_su.c test_su_osx.c torture_rbtree.c \
torture_su.c torture_su_alloc.c torture_su_bm.c \
torture_su_port.c torture_su_root.c torture_su_root_osx.c \
torture_su_tag.c torture_su_time.c torture_su_timer.c
am__nobase_include_sofia_HEADERS_DIST = sofia-sip/su_types.h \
sofia-sip/su.h sofia-sip/su_errno.h sofia-sip/su_addrinfo.h \
sofia-sip/su_localinfo.h sofia-sip/su_wait.h \
sofia-sip/su_alloc.h sofia-sip/su_alloc_stat.h \
sofia-sip/su_strlst.h sofia-sip/su_vector.h \
sofia-sip/su_time.h sofia-sip/su_tag.h \
sofia-sip/su_tag_class.h sofia-sip/su_tagarg.h \
sofia-sip/su_tag_io.h sofia-sip/su_tag_inline.h \
sofia-sip/htable.h sofia-sip/htable2.h sofia-sip/rbtree.h \
sofia-sip/su_debug.h sofia-sip/su_log.h sofia-sip/su_config.h \
sofia-sip/su_md5.h sofia-sip/su_uniqueid.h sofia-sip/su_bm.h \
sofia-sip/tstdef.h sofia-sip/su_os_nw.h \
sofia-sip/su_osx_runloop.h
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
$(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
*) f=$$p;; \
esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
nobase_include_sofiaHEADERS_INSTALL = $(install_sh_DATA)
nobase_nodist_include_sofiaHEADERS_INSTALL = $(install_sh_DATA)
HEADERS = $(nobase_include_sofia_HEADERS) \
$(nobase_nodist_include_sofia_HEADERS)
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
ACLOCAL_AMFLAGS = @ACLOCAL_AMFLAGS@
ALLOCA = @ALLOCA@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
COREFOUNDATION_FALSE = @COREFOUNDATION_FALSE@
COREFOUNDATION_TRUE = @COREFOUNDATION_TRUE@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CWFLAG = @CWFLAG@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DOXYGEN = @DOXYGEN@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
ENABLE_COVERAGE_FALSE = @ENABLE_COVERAGE_FALSE@
ENABLE_COVERAGE_TRUE = @ENABLE_COVERAGE_TRUE@
ETAGS = @ETAGS@
EXEEXT = @EXEEXT@
EXPENSIVE_CHECKS_FALSE = @EXPENSIVE_CHECKS_FALSE@
EXPENSIVE_CHECKS_TRUE = @EXPENSIVE_CHECKS_TRUE@
F77 = @F77@
FFLAGS = @FFLAGS@
GLIB_CFLAGS = @GLIB_CFLAGS@
GLIB_LIBS = @GLIB_LIBS@
GLIB_VERSION = @GLIB_VERSION@
HAVE_DOXYGEN_FALSE = @HAVE_DOXYGEN_FALSE@
HAVE_DOXYGEN_TRUE = @HAVE_DOXYGEN_TRUE@
HAVE_GLIB_FALSE = @HAVE_GLIB_FALSE@
HAVE_GLIB_TRUE = @HAVE_GLIB_TRUE@
HAVE_MINGW32_FALSE = @HAVE_MINGW32_FALSE@
HAVE_MINGW32_TRUE = @HAVE_MINGW32_TRUE@
HAVE_NTH_FALSE = @HAVE_NTH_FALSE@
HAVE_NTH_TRUE = @HAVE_NTH_TRUE@
HAVE_NTLM_FALSE = @HAVE_NTLM_FALSE@
HAVE_NTLM_TRUE = @HAVE_NTLM_TRUE@
HAVE_STUN_FALSE = @HAVE_STUN_FALSE@
HAVE_STUN_TRUE = @HAVE_STUN_TRUE@
HAVE_TLS_FALSE = @HAVE_TLS_FALSE@
HAVE_TLS_TRUE = @HAVE_TLS_TRUE@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LD = @LD@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LIBVER_SOFIA_SIP_UA_AGE = @LIBVER_SOFIA_SIP_UA_AGE@
LIBVER_SOFIA_SIP_UA_CUR = @LIBVER_SOFIA_SIP_UA_CUR@
LIBVER_SOFIA_SIP_UA_GLIB_AGE = @LIBVER_SOFIA_SIP_UA_GLIB_AGE@
LIBVER_SOFIA_SIP_UA_GLIB_CUR = @LIBVER_SOFIA_SIP_UA_GLIB_CUR@
LIBVER_SOFIA_SIP_UA_GLIB_REV = @LIBVER_SOFIA_SIP_UA_GLIB_REV@
LIBVER_SOFIA_SIP_UA_GLIB_SOVER = @LIBVER_SOFIA_SIP_UA_GLIB_SOVER@
LIBVER_SOFIA_SIP_UA_REV = @LIBVER_SOFIA_SIP_UA_REV@
LIBVER_SOFIA_SIP_UA_SOVER = @LIBVER_SOFIA_SIP_UA_SOVER@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAINT = @MAINT@
MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
MAKEINFO = @MAKEINFO@
MINGW_ENVIRONMENT = @MINGW_ENVIRONMENT@
MOSTLYCLEANFILES = @MOSTLYCLEANFILES@
NDEBUG_FALSE = @NDEBUG_FALSE@
NDEBUG_TRUE = @NDEBUG_TRUE@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PKG_CONFIG = @PKG_CONFIG@
RANLIB = @RANLIB@
REPLACE_LIBADD = @REPLACE_LIBADD@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
SOFIA_CFLAGS = @SOFIA_CFLAGS@
SOFIA_COVERAGE = @SOFIA_COVERAGE@
SOFIA_GLIB_PKG_REQUIRES = @SOFIA_GLIB_PKG_REQUIRES@
STRIP = @STRIP@
TESTS_ENVIRONMENT = @TESTS_ENVIRONMENT@
VERSION = @VERSION@
VER_LIBSOFIA_SIP_UA_MAJOR_MINOR = @VER_LIBSOFIA_SIP_UA_MAJOR_MINOR@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_F77 = @ac_ct_F77@
ac_ct_LD = @ac_ct_LD@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
datadir = @datadir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
include_sofiadir = @include_sofiadir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
prefix = @prefix@
program_transform_name = @program_transform_name@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
sysconfdir = @sysconfdir@
target = @target@
target_alias = @target_alias@
target_cpu = @target_cpu@
target_os = @target_os@
target_vendor = @target_vendor@
noinst_LTLIBRARIES = libsu.la
@COREFOUNDATION_FALSE@OSXSOURCES =
@COREFOUNDATION_TRUE@OSXSOURCES = \
@COREFOUNDATION_TRUE@ su_osx_runloop.c
@COREFOUNDATION_FALSE@OSXHEADERS =
@COREFOUNDATION_TRUE@OSXHEADERS = \
@COREFOUNDATION_TRUE@ sofia-sip/su_osx_runloop.h
@COREFOUNDATION_TRUE@OSXPROGS = \
@COREFOUNDATION_TRUE@ torture_su_root_osx test_su_osx
@COREFOUNDATION_TRUE@OSXTESTS = \
@COREFOUNDATION_TRUE@ torture_su_root_osx run_test_su_osx
# ----------------------------------------------------------------------
# Tests
TESTS = torture_su torture_su_port \
torture_su_alloc torture_su_time torture_su_tag \
test_htable torture_rbtree \
test_memmem torture_su_bm \
torture_su_root torture_su_timer \
run_addrinfo run_localinfo run_test_su \
$(OSXTESTS)
# ----------------------------------------------------------------------
# Rules for building the targets
BUILT_SOURCES = su_tag_ref.c
nobase_include_sofia_HEADERS = \
sofia-sip/su_types.h sofia-sip/su.h \
sofia-sip/su_errno.h sofia-sip/su_addrinfo.h \
sofia-sip/su_localinfo.h sofia-sip/su_wait.h \
sofia-sip/su_alloc.h sofia-sip/su_alloc_stat.h \
sofia-sip/su_strlst.h sofia-sip/su_vector.h \
sofia-sip/su_time.h sofia-sip/su_tag.h \
sofia-sip/su_tag_class.h sofia-sip/su_tagarg.h \
sofia-sip/su_tag_io.h sofia-sip/su_tag_inline.h \
sofia-sip/htable.h sofia-sip/htable2.h \
sofia-sip/rbtree.h sofia-sip/su_debug.h \
sofia-sip/su_log.h \
sofia-sip/su_config.h sofia-sip/su_md5.h \
sofia-sip/su_uniqueid.h sofia-sip/su_bm.h \
sofia-sip/tstdef.h sofia-sip/su_os_nw.h \
$(OSXHEADERS)
nobase_nodist_include_sofia_HEADERS = sofia-sip/su_configure.h
libsu_la_SOURCES = \
su.c su_errno.c su_addrinfo.c \
su_alloc.c su_alloc_lock.c su_strdup.c su_sprintf.c \
su_strlst.c su_vector.c \
su_time.c su_time0.c \
su_wait.c su_root.c su_timer.c \
su_port.c su_port.h \
su_base_port.c su_pthread_port.c su_socket_port.c \
su_poll_port.c su_epoll_port.c su_select_port.c \
su_localinfo.c \
su_os_nw.c \
su_taglist.c su_tag.c su_tag_io.c \
su_log.c su_global_log.c su_default_log.c su_module_debug.h \
su_md5.c su_uniqueid.c su_bm.c $(OSXSOURCES)
EXTRA_libsu_la_SOURCES = \
memmem.c strtoull.c strcasestr.c \
memspn.c memcspn.c memccpy.c \
inet_ntop.c inet_pton.c poll.c getopt.c \
su_tag_ref.c su_win32_port.c
libsu_la_CFLAGS = $(AM_CFLAGS) $(SOFIA_CFLAGS)
libsu_la_LIBADD = $(REPLACE_LIBADD)
libsu_la_DEPENDENCIES = $(REPLACE_LIBADD)
COVERAGE_INPUT = $(libsu_la_SOURCES) $(include_sofia_HEADERS)
LDADD = libsu.la
# ----------------------------------------------------------------------
# Install and distribution rules
EXTRA_DIST = Doxyfile su.docs \
run_addrinfo run_localinfo run_test_su
dist_pkgdata_SCRIPTS = tag_dll.awk
# ----------------------------------------------------------------------
# Automake options
AUTOMAKE_OPTIONS = foreign
AM_CFLAGS = $(CWFLAG) $(SOFIA_COVERAGE) $(SOFIA_CFLAGS) \
$(am__append_1)
DISTCLEANFILES = $(BUILT_SOURCES)
# rules for building tag files
TAG_AWK = $(top_srcdir)/libsofia-sip-ua/su/tag_dll.awk
INTERNAL_INCLUDES = \
-I$(srcdir)/../features -I../features \
-I$(srcdir)/../ipt -I../ipt \
-I$(srcdir)/../iptsec -I../iptsec \
-I$(srcdir)/../bnf -I../bnf \
-I$(srcdir)/../http -I../http \
-I$(srcdir)/../msg -I../msg \
-I$(srcdir)/../nth -I../nth \
-I$(srcdir)/../nta -I../nta \
-I$(srcdir)/../nea -I../nea \
-I$(srcdir)/../nua -I../nua \
-I$(srcdir)/../soa -I../soa \
-I$(srcdir)/../sdp -I../sdp \
-I$(srcdir)/../sip -I../sip \
-I$(srcdir)/../soa -I../soa \
-I$(srcdir)/../sresolv -I../sresolv \
-I$(srcdir)/../tport -I../tport \
-I$(srcdir)/../stun -I../stun \
-I$(srcdir)/../url -I../url \
-I$(srcdir)/../su -I../su
VALGRIND = valgrind
VALGRINDFLAGS = --tool=memcheck
all: $(BUILT_SOURCES)
$(MAKE) $(AM_MAKEFLAGS) all-am
.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/rules/sofia.am $(top_srcdir)/rules/valcheck.am $(am__configure_deps)
@for dep in $?; do \
case '$(am__configure_deps)' in \
*$$dep*) \
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
&& exit 0; \
exit 1;; \
esac; \
done; \
echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign libsofia-sip-ua/su/Makefile'; \
cd $(top_srcdir) && \
$(AUTOMAKE) --foreign libsofia-sip-ua/su/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@case '$?' in \
*config.status*) \
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
*) \
echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
esac;
$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
clean-noinstLTLIBRARIES:
-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
test "$$dir" != "$$p" || dir=.; \
echo "rm -f \"$${dir}/so_locations\""; \
rm -f "$${dir}/so_locations"; \
done
libsu.la: $(libsu_la_OBJECTS) $(libsu_la_DEPENDENCIES)
$(LINK) $(libsu_la_LDFLAGS) $(libsu_la_OBJECTS) $(libsu_la_LIBADD) $(LIBS)
install-binPROGRAMS: $(bin_PROGRAMS)
@$(NORMAL_INSTALL)
test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
@list='$(bin_PROGRAMS)'; for p in $$list; do \
p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
if test -f $$p \
|| test -f $$p1 \
; then \
f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
$(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
else :; fi; \
done
uninstall-binPROGRAMS:
@$(NORMAL_UNINSTALL)
@list='$(bin_PROGRAMS)'; for p in $$list; do \
f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
rm -f "$(DESTDIR)$(bindir)/$$f"; \
done
clean-binPROGRAMS:
@list='$(bin_PROGRAMS)'; for p in $$list; do \
f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
echo " rm -f $$p $$f"; \
rm -f $$p $$f ; \
done
clean-checkPROGRAMS:
@list='$(check_PROGRAMS)'; for p in $$list; do \
f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
echo " rm -f $$p $$f"; \
rm -f $$p $$f ; \
done
addrinfo$(EXEEXT): $(addrinfo_OBJECTS) $(addrinfo_DEPENDENCIES)
@rm -f addrinfo$(EXEEXT)
$(LINK) $(addrinfo_LDFLAGS) $(addrinfo_OBJECTS) $(addrinfo_LDADD) $(LIBS)
localinfo$(EXEEXT): $(localinfo_OBJECTS) $(localinfo_DEPENDENCIES)
@rm -f localinfo$(EXEEXT)
$(LINK) $(localinfo_LDFLAGS) $(localinfo_OBJECTS) $(localinfo_LDADD) $(LIBS)
su_proxy$(EXEEXT): $(su_proxy_OBJECTS) $(su_proxy_DEPENDENCIES)
@rm -f su_proxy$(EXEEXT)
$(LINK) $(su_proxy_LDFLAGS) $(su_proxy_OBJECTS) $(su_proxy_LDADD) $(LIBS)
test_htable$(EXEEXT): $(test_htable_OBJECTS) $(test_htable_DEPENDENCIES)
@rm -f test_htable$(EXEEXT)
$(LINK) $(test_htable_LDFLAGS) $(test_htable_OBJECTS) $(test_htable_LDADD) $(LIBS)
test_memmem$(EXEEXT): $(test_memmem_OBJECTS) $(test_memmem_DEPENDENCIES)
@rm -f test_memmem$(EXEEXT)
$(LINK) $(test_memmem_LDFLAGS) $(test_memmem_OBJECTS) $(test_memmem_LDADD) $(LIBS)
test_poll$(EXEEXT): $(test_poll_OBJECTS) $(test_poll_DEPENDENCIES)
@rm -f test_poll$(EXEEXT)
$(LINK) $(test_poll_LDFLAGS) $(test_poll_OBJECTS) $(test_poll_LDADD) $(LIBS)
test_su$(EXEEXT): $(test_su_OBJECTS) $(test_su_DEPENDENCIES)
@rm -f test_su$(EXEEXT)
$(LINK) $(test_su_LDFLAGS) $(test_su_OBJECTS) $(test_su_LDADD) $(LIBS)
test_su_osx$(EXEEXT): $(test_su_osx_OBJECTS) $(test_su_osx_DEPENDENCIES)
@rm -f test_su_osx$(EXEEXT)
$(LINK) $(test_su_osx_LDFLAGS) $(test_su_osx_OBJECTS) $(test_su_osx_LDADD) $(LIBS)
torture_rbtree$(EXEEXT): $(torture_rbtree_OBJECTS) $(torture_rbtree_DEPENDENCIES)
@rm -f torture_rbtree$(EXEEXT)
$(LINK) $(torture_rbtree_LDFLAGS) $(torture_rbtree_OBJECTS) $(torture_rbtree_LDADD) $(LIBS)
torture_su$(EXEEXT): $(torture_su_OBJECTS) $(torture_su_DEPENDENCIES)
@rm -f torture_su$(EXEEXT)
$(LINK) $(torture_su_LDFLAGS) $(torture_su_OBJECTS) $(torture_su_LDADD) $(LIBS)
torture_su_alloc$(EXEEXT): $(torture_su_alloc_OBJECTS) $(torture_su_alloc_DEPENDENCIES)
@rm -f torture_su_alloc$(EXEEXT)
$(LINK) $(torture_su_alloc_LDFLAGS) $(torture_su_alloc_OBJECTS) $(torture_su_alloc_LDADD) $(LIBS)
torture_su_bm$(EXEEXT): $(torture_su_bm_OBJECTS) $(torture_su_bm_DEPENDENCIES)
@rm -f torture_su_bm$(EXEEXT)
$(LINK) $(torture_su_bm_LDFLAGS) $(torture_su_bm_OBJECTS) $(torture_su_bm_LDADD) $(LIBS)
torture_su_port$(EXEEXT): $(torture_su_port_OBJECTS) $(torture_su_port_DEPENDENCIES)
@rm -f torture_su_port$(EXEEXT)
$(LINK) $(torture_su_port_LDFLAGS) $(torture_su_port_OBJECTS) $(torture_su_port_LDADD) $(LIBS)
torture_su_root$(EXEEXT): $(torture_su_root_OBJECTS) $(torture_su_root_DEPENDENCIES)
@rm -f torture_su_root$(EXEEXT)
$(LINK) $(torture_su_root_LDFLAGS) $(torture_su_root_OBJECTS) $(torture_su_root_LDADD) $(LIBS)
torture_su_root_osx$(EXEEXT): $(torture_su_root_osx_OBJECTS) $(torture_su_root_osx_DEPENDENCIES)
@rm -f torture_su_root_osx$(EXEEXT)
$(LINK) $(torture_su_root_osx_LDFLAGS) $(torture_su_root_osx_OBJECTS) $(torture_su_root_osx_LDADD) $(LIBS)
torture_su_tag$(EXEEXT): $(torture_su_tag_OBJECTS) $(torture_su_tag_DEPENDENCIES)
@rm -f torture_su_tag$(EXEEXT)
$(LINK) $(torture_su_tag_LDFLAGS) $(torture_su_tag_OBJECTS) $(torture_su_tag_LDADD) $(LIBS)
torture_su_time$(EXEEXT): $(torture_su_time_OBJECTS) $(torture_su_time_DEPENDENCIES)
@rm -f torture_su_time$(EXEEXT)
$(LINK) $(torture_su_time_LDFLAGS) $(torture_su_time_OBJECTS) $(torture_su_time_LDADD) $(LIBS)
torture_su_timer$(EXEEXT): $(torture_su_timer_OBJECTS) $(torture_su_timer_DEPENDENCIES)
@rm -f torture_su_timer$(EXEEXT)
$(LINK) $(torture_su_timer_LDFLAGS) $(torture_su_timer_OBJECTS) $(torture_su_timer_LDADD) $(LIBS)
install-dist_pkgdataSCRIPTS: $(dist_pkgdata_SCRIPTS)
@$(NORMAL_INSTALL)
test -z "$(pkgdatadir)" || $(mkdir_p) "$(DESTDIR)$(pkgdatadir)"
@list='$(dist_pkgdata_SCRIPTS)'; for p in $$list; do \
if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
if test -f $$d$$p; then \
f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
echo " $(dist_pkgdataSCRIPT_INSTALL) '$$d$$p' '$(DESTDIR)$(pkgdatadir)/$$f'"; \
$(dist_pkgdataSCRIPT_INSTALL) "$$d$$p" "$(DESTDIR)$(pkgdatadir)/$$f"; \
else :; fi; \
done
uninstall-dist_pkgdataSCRIPTS:
@$(NORMAL_UNINSTALL)
@list='$(dist_pkgdata_SCRIPTS)'; for p in $$list; do \
f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
echo " rm -f '$(DESTDIR)$(pkgdatadir)/$$f'"; \
rm -f "$(DESTDIR)$(pkgdatadir)/$$f"; \
done
mostlyclean-compile:
-rm -f *.$(OBJEXT)
distclean-compile:
-rm -f *.tab.c
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/addrinfo.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-getopt.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-inet_ntop.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-inet_pton.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-memccpy.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-memcspn.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-memmem.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-memspn.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-poll.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-strcasestr.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-strtoull.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_addrinfo.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_alloc.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_alloc_lock.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_base_port.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_bm.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_default_log.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_epoll_port.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_errno.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_global_log.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_localinfo.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_log.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_md5.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_os_nw.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_osx_runloop.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_poll_port.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_port.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_pthread_port.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_root.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_select_port.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_socket_port.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_sprintf.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_strdup.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_strlst.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_tag.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_tag_io.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_tag_ref.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_taglist.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_time.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_time0.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_timer.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_uniqueid.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_vector.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_wait.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsu_la-su_win32_port.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/localinfo.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/su_proxy.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_htable.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_memmem.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_poll.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_su.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_su_osx.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/torture_rbtree.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/torture_su.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/torture_su_alloc.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/torture_su_bm.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/torture_su_port.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/torture_su_root.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/torture_su_root_osx.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/torture_su_tag.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/torture_su_time.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/torture_su_timer.Po@am__quote@
.c.o:
@am__fastdepCC_TRUE@ if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(COMPILE) -c $<
.c.obj:
@am__fastdepCC_TRUE@ if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(COMPILE) -c `$(CYGPATH_W) '$<'`
.c.lo:
@am__fastdepCC_TRUE@ if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LTCOMPILE) -c -o $@ $<
libsu_la-su.lo: su.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su.Tpo" -c -o libsu_la-su.lo `test -f 'su.c' || echo '$(srcdir)/'`su.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su.Tpo" "$(DEPDIR)/libsu_la-su.Plo"; else rm -f "$(DEPDIR)/libsu_la-su.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su.c' object='libsu_la-su.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su.lo `test -f 'su.c' || echo '$(srcdir)/'`su.c
libsu_la-su_errno.lo: su_errno.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_errno.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_errno.Tpo" -c -o libsu_la-su_errno.lo `test -f 'su_errno.c' || echo '$(srcdir)/'`su_errno.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_errno.Tpo" "$(DEPDIR)/libsu_la-su_errno.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_errno.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_errno.c' object='libsu_la-su_errno.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_errno.lo `test -f 'su_errno.c' || echo '$(srcdir)/'`su_errno.c
libsu_la-su_addrinfo.lo: su_addrinfo.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_addrinfo.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_addrinfo.Tpo" -c -o libsu_la-su_addrinfo.lo `test -f 'su_addrinfo.c' || echo '$(srcdir)/'`su_addrinfo.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_addrinfo.Tpo" "$(DEPDIR)/libsu_la-su_addrinfo.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_addrinfo.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_addrinfo.c' object='libsu_la-su_addrinfo.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_addrinfo.lo `test -f 'su_addrinfo.c' || echo '$(srcdir)/'`su_addrinfo.c
libsu_la-su_alloc.lo: su_alloc.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_alloc.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_alloc.Tpo" -c -o libsu_la-su_alloc.lo `test -f 'su_alloc.c' || echo '$(srcdir)/'`su_alloc.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_alloc.Tpo" "$(DEPDIR)/libsu_la-su_alloc.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_alloc.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_alloc.c' object='libsu_la-su_alloc.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_alloc.lo `test -f 'su_alloc.c' || echo '$(srcdir)/'`su_alloc.c
libsu_la-su_alloc_lock.lo: su_alloc_lock.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_alloc_lock.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_alloc_lock.Tpo" -c -o libsu_la-su_alloc_lock.lo `test -f 'su_alloc_lock.c' || echo '$(srcdir)/'`su_alloc_lock.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_alloc_lock.Tpo" "$(DEPDIR)/libsu_la-su_alloc_lock.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_alloc_lock.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_alloc_lock.c' object='libsu_la-su_alloc_lock.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_alloc_lock.lo `test -f 'su_alloc_lock.c' || echo '$(srcdir)/'`su_alloc_lock.c
libsu_la-su_strdup.lo: su_strdup.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_strdup.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_strdup.Tpo" -c -o libsu_la-su_strdup.lo `test -f 'su_strdup.c' || echo '$(srcdir)/'`su_strdup.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_strdup.Tpo" "$(DEPDIR)/libsu_la-su_strdup.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_strdup.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_strdup.c' object='libsu_la-su_strdup.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_strdup.lo `test -f 'su_strdup.c' || echo '$(srcdir)/'`su_strdup.c
libsu_la-su_sprintf.lo: su_sprintf.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_sprintf.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_sprintf.Tpo" -c -o libsu_la-su_sprintf.lo `test -f 'su_sprintf.c' || echo '$(srcdir)/'`su_sprintf.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_sprintf.Tpo" "$(DEPDIR)/libsu_la-su_sprintf.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_sprintf.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_sprintf.c' object='libsu_la-su_sprintf.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_sprintf.lo `test -f 'su_sprintf.c' || echo '$(srcdir)/'`su_sprintf.c
libsu_la-su_strlst.lo: su_strlst.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_strlst.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_strlst.Tpo" -c -o libsu_la-su_strlst.lo `test -f 'su_strlst.c' || echo '$(srcdir)/'`su_strlst.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_strlst.Tpo" "$(DEPDIR)/libsu_la-su_strlst.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_strlst.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_strlst.c' object='libsu_la-su_strlst.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_strlst.lo `test -f 'su_strlst.c' || echo '$(srcdir)/'`su_strlst.c
libsu_la-su_vector.lo: su_vector.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_vector.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_vector.Tpo" -c -o libsu_la-su_vector.lo `test -f 'su_vector.c' || echo '$(srcdir)/'`su_vector.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_vector.Tpo" "$(DEPDIR)/libsu_la-su_vector.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_vector.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_vector.c' object='libsu_la-su_vector.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_vector.lo `test -f 'su_vector.c' || echo '$(srcdir)/'`su_vector.c
libsu_la-su_time.lo: su_time.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_time.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_time.Tpo" -c -o libsu_la-su_time.lo `test -f 'su_time.c' || echo '$(srcdir)/'`su_time.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_time.Tpo" "$(DEPDIR)/libsu_la-su_time.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_time.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_time.c' object='libsu_la-su_time.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_time.lo `test -f 'su_time.c' || echo '$(srcdir)/'`su_time.c
libsu_la-su_time0.lo: su_time0.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_time0.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_time0.Tpo" -c -o libsu_la-su_time0.lo `test -f 'su_time0.c' || echo '$(srcdir)/'`su_time0.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_time0.Tpo" "$(DEPDIR)/libsu_la-su_time0.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_time0.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_time0.c' object='libsu_la-su_time0.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_time0.lo `test -f 'su_time0.c' || echo '$(srcdir)/'`su_time0.c
libsu_la-su_wait.lo: su_wait.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_wait.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_wait.Tpo" -c -o libsu_la-su_wait.lo `test -f 'su_wait.c' || echo '$(srcdir)/'`su_wait.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_wait.Tpo" "$(DEPDIR)/libsu_la-su_wait.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_wait.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_wait.c' object='libsu_la-su_wait.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_wait.lo `test -f 'su_wait.c' || echo '$(srcdir)/'`su_wait.c
libsu_la-su_root.lo: su_root.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_root.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_root.Tpo" -c -o libsu_la-su_root.lo `test -f 'su_root.c' || echo '$(srcdir)/'`su_root.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_root.Tpo" "$(DEPDIR)/libsu_la-su_root.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_root.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_root.c' object='libsu_la-su_root.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_root.lo `test -f 'su_root.c' || echo '$(srcdir)/'`su_root.c
libsu_la-su_timer.lo: su_timer.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_timer.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_timer.Tpo" -c -o libsu_la-su_timer.lo `test -f 'su_timer.c' || echo '$(srcdir)/'`su_timer.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_timer.Tpo" "$(DEPDIR)/libsu_la-su_timer.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_timer.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_timer.c' object='libsu_la-su_timer.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_timer.lo `test -f 'su_timer.c' || echo '$(srcdir)/'`su_timer.c
libsu_la-su_port.lo: su_port.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_port.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_port.Tpo" -c -o libsu_la-su_port.lo `test -f 'su_port.c' || echo '$(srcdir)/'`su_port.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_port.Tpo" "$(DEPDIR)/libsu_la-su_port.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_port.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_port.c' object='libsu_la-su_port.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_port.lo `test -f 'su_port.c' || echo '$(srcdir)/'`su_port.c
libsu_la-su_base_port.lo: su_base_port.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_base_port.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_base_port.Tpo" -c -o libsu_la-su_base_port.lo `test -f 'su_base_port.c' || echo '$(srcdir)/'`su_base_port.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_base_port.Tpo" "$(DEPDIR)/libsu_la-su_base_port.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_base_port.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_base_port.c' object='libsu_la-su_base_port.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_base_port.lo `test -f 'su_base_port.c' || echo '$(srcdir)/'`su_base_port.c
libsu_la-su_pthread_port.lo: su_pthread_port.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_pthread_port.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_pthread_port.Tpo" -c -o libsu_la-su_pthread_port.lo `test -f 'su_pthread_port.c' || echo '$(srcdir)/'`su_pthread_port.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_pthread_port.Tpo" "$(DEPDIR)/libsu_la-su_pthread_port.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_pthread_port.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_pthread_port.c' object='libsu_la-su_pthread_port.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_pthread_port.lo `test -f 'su_pthread_port.c' || echo '$(srcdir)/'`su_pthread_port.c
libsu_la-su_socket_port.lo: su_socket_port.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_socket_port.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_socket_port.Tpo" -c -o libsu_la-su_socket_port.lo `test -f 'su_socket_port.c' || echo '$(srcdir)/'`su_socket_port.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_socket_port.Tpo" "$(DEPDIR)/libsu_la-su_socket_port.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_socket_port.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_socket_port.c' object='libsu_la-su_socket_port.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_socket_port.lo `test -f 'su_socket_port.c' || echo '$(srcdir)/'`su_socket_port.c
libsu_la-su_poll_port.lo: su_poll_port.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_poll_port.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_poll_port.Tpo" -c -o libsu_la-su_poll_port.lo `test -f 'su_poll_port.c' || echo '$(srcdir)/'`su_poll_port.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_poll_port.Tpo" "$(DEPDIR)/libsu_la-su_poll_port.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_poll_port.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_poll_port.c' object='libsu_la-su_poll_port.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_poll_port.lo `test -f 'su_poll_port.c' || echo '$(srcdir)/'`su_poll_port.c
libsu_la-su_epoll_port.lo: su_epoll_port.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_epoll_port.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_epoll_port.Tpo" -c -o libsu_la-su_epoll_port.lo `test -f 'su_epoll_port.c' || echo '$(srcdir)/'`su_epoll_port.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_epoll_port.Tpo" "$(DEPDIR)/libsu_la-su_epoll_port.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_epoll_port.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_epoll_port.c' object='libsu_la-su_epoll_port.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_epoll_port.lo `test -f 'su_epoll_port.c' || echo '$(srcdir)/'`su_epoll_port.c
libsu_la-su_select_port.lo: su_select_port.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_select_port.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_select_port.Tpo" -c -o libsu_la-su_select_port.lo `test -f 'su_select_port.c' || echo '$(srcdir)/'`su_select_port.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_select_port.Tpo" "$(DEPDIR)/libsu_la-su_select_port.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_select_port.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_select_port.c' object='libsu_la-su_select_port.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_select_port.lo `test -f 'su_select_port.c' || echo '$(srcdir)/'`su_select_port.c
libsu_la-su_localinfo.lo: su_localinfo.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_localinfo.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_localinfo.Tpo" -c -o libsu_la-su_localinfo.lo `test -f 'su_localinfo.c' || echo '$(srcdir)/'`su_localinfo.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_localinfo.Tpo" "$(DEPDIR)/libsu_la-su_localinfo.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_localinfo.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_localinfo.c' object='libsu_la-su_localinfo.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_localinfo.lo `test -f 'su_localinfo.c' || echo '$(srcdir)/'`su_localinfo.c
libsu_la-su_os_nw.lo: su_os_nw.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_os_nw.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_os_nw.Tpo" -c -o libsu_la-su_os_nw.lo `test -f 'su_os_nw.c' || echo '$(srcdir)/'`su_os_nw.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_os_nw.Tpo" "$(DEPDIR)/libsu_la-su_os_nw.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_os_nw.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_os_nw.c' object='libsu_la-su_os_nw.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_os_nw.lo `test -f 'su_os_nw.c' || echo '$(srcdir)/'`su_os_nw.c
libsu_la-su_taglist.lo: su_taglist.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_taglist.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_taglist.Tpo" -c -o libsu_la-su_taglist.lo `test -f 'su_taglist.c' || echo '$(srcdir)/'`su_taglist.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_taglist.Tpo" "$(DEPDIR)/libsu_la-su_taglist.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_taglist.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_taglist.c' object='libsu_la-su_taglist.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_taglist.lo `test -f 'su_taglist.c' || echo '$(srcdir)/'`su_taglist.c
libsu_la-su_tag.lo: su_tag.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_tag.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_tag.Tpo" -c -o libsu_la-su_tag.lo `test -f 'su_tag.c' || echo '$(srcdir)/'`su_tag.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_tag.Tpo" "$(DEPDIR)/libsu_la-su_tag.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_tag.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_tag.c' object='libsu_la-su_tag.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_tag.lo `test -f 'su_tag.c' || echo '$(srcdir)/'`su_tag.c
libsu_la-su_tag_io.lo: su_tag_io.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_tag_io.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_tag_io.Tpo" -c -o libsu_la-su_tag_io.lo `test -f 'su_tag_io.c' || echo '$(srcdir)/'`su_tag_io.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_tag_io.Tpo" "$(DEPDIR)/libsu_la-su_tag_io.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_tag_io.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_tag_io.c' object='libsu_la-su_tag_io.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_tag_io.lo `test -f 'su_tag_io.c' || echo '$(srcdir)/'`su_tag_io.c
libsu_la-su_log.lo: su_log.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_log.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_log.Tpo" -c -o libsu_la-su_log.lo `test -f 'su_log.c' || echo '$(srcdir)/'`su_log.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_log.Tpo" "$(DEPDIR)/libsu_la-su_log.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_log.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_log.c' object='libsu_la-su_log.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_log.lo `test -f 'su_log.c' || echo '$(srcdir)/'`su_log.c
libsu_la-su_global_log.lo: su_global_log.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_global_log.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_global_log.Tpo" -c -o libsu_la-su_global_log.lo `test -f 'su_global_log.c' || echo '$(srcdir)/'`su_global_log.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_global_log.Tpo" "$(DEPDIR)/libsu_la-su_global_log.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_global_log.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_global_log.c' object='libsu_la-su_global_log.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_global_log.lo `test -f 'su_global_log.c' || echo '$(srcdir)/'`su_global_log.c
libsu_la-su_default_log.lo: su_default_log.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_default_log.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_default_log.Tpo" -c -o libsu_la-su_default_log.lo `test -f 'su_default_log.c' || echo '$(srcdir)/'`su_default_log.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_default_log.Tpo" "$(DEPDIR)/libsu_la-su_default_log.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_default_log.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_default_log.c' object='libsu_la-su_default_log.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_default_log.lo `test -f 'su_default_log.c' || echo '$(srcdir)/'`su_default_log.c
libsu_la-su_md5.lo: su_md5.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_md5.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_md5.Tpo" -c -o libsu_la-su_md5.lo `test -f 'su_md5.c' || echo '$(srcdir)/'`su_md5.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_md5.Tpo" "$(DEPDIR)/libsu_la-su_md5.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_md5.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_md5.c' object='libsu_la-su_md5.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_md5.lo `test -f 'su_md5.c' || echo '$(srcdir)/'`su_md5.c
libsu_la-su_uniqueid.lo: su_uniqueid.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_uniqueid.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_uniqueid.Tpo" -c -o libsu_la-su_uniqueid.lo `test -f 'su_uniqueid.c' || echo '$(srcdir)/'`su_uniqueid.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_uniqueid.Tpo" "$(DEPDIR)/libsu_la-su_uniqueid.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_uniqueid.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_uniqueid.c' object='libsu_la-su_uniqueid.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_uniqueid.lo `test -f 'su_uniqueid.c' || echo '$(srcdir)/'`su_uniqueid.c
libsu_la-su_bm.lo: su_bm.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_bm.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_bm.Tpo" -c -o libsu_la-su_bm.lo `test -f 'su_bm.c' || echo '$(srcdir)/'`su_bm.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_bm.Tpo" "$(DEPDIR)/libsu_la-su_bm.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_bm.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_bm.c' object='libsu_la-su_bm.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_bm.lo `test -f 'su_bm.c' || echo '$(srcdir)/'`su_bm.c
libsu_la-su_osx_runloop.lo: su_osx_runloop.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_osx_runloop.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_osx_runloop.Tpo" -c -o libsu_la-su_osx_runloop.lo `test -f 'su_osx_runloop.c' || echo '$(srcdir)/'`su_osx_runloop.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_osx_runloop.Tpo" "$(DEPDIR)/libsu_la-su_osx_runloop.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_osx_runloop.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_osx_runloop.c' object='libsu_la-su_osx_runloop.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_osx_runloop.lo `test -f 'su_osx_runloop.c' || echo '$(srcdir)/'`su_osx_runloop.c
libsu_la-memmem.lo: memmem.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-memmem.lo -MD -MP -MF "$(DEPDIR)/libsu_la-memmem.Tpo" -c -o libsu_la-memmem.lo `test -f 'memmem.c' || echo '$(srcdir)/'`memmem.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-memmem.Tpo" "$(DEPDIR)/libsu_la-memmem.Plo"; else rm -f "$(DEPDIR)/libsu_la-memmem.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='memmem.c' object='libsu_la-memmem.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-memmem.lo `test -f 'memmem.c' || echo '$(srcdir)/'`memmem.c
libsu_la-strtoull.lo: strtoull.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-strtoull.lo -MD -MP -MF "$(DEPDIR)/libsu_la-strtoull.Tpo" -c -o libsu_la-strtoull.lo `test -f 'strtoull.c' || echo '$(srcdir)/'`strtoull.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-strtoull.Tpo" "$(DEPDIR)/libsu_la-strtoull.Plo"; else rm -f "$(DEPDIR)/libsu_la-strtoull.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='strtoull.c' object='libsu_la-strtoull.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-strtoull.lo `test -f 'strtoull.c' || echo '$(srcdir)/'`strtoull.c
libsu_la-strcasestr.lo: strcasestr.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-strcasestr.lo -MD -MP -MF "$(DEPDIR)/libsu_la-strcasestr.Tpo" -c -o libsu_la-strcasestr.lo `test -f 'strcasestr.c' || echo '$(srcdir)/'`strcasestr.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-strcasestr.Tpo" "$(DEPDIR)/libsu_la-strcasestr.Plo"; else rm -f "$(DEPDIR)/libsu_la-strcasestr.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='strcasestr.c' object='libsu_la-strcasestr.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-strcasestr.lo `test -f 'strcasestr.c' || echo '$(srcdir)/'`strcasestr.c
libsu_la-memspn.lo: memspn.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-memspn.lo -MD -MP -MF "$(DEPDIR)/libsu_la-memspn.Tpo" -c -o libsu_la-memspn.lo `test -f 'memspn.c' || echo '$(srcdir)/'`memspn.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-memspn.Tpo" "$(DEPDIR)/libsu_la-memspn.Plo"; else rm -f "$(DEPDIR)/libsu_la-memspn.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='memspn.c' object='libsu_la-memspn.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-memspn.lo `test -f 'memspn.c' || echo '$(srcdir)/'`memspn.c
libsu_la-memcspn.lo: memcspn.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-memcspn.lo -MD -MP -MF "$(DEPDIR)/libsu_la-memcspn.Tpo" -c -o libsu_la-memcspn.lo `test -f 'memcspn.c' || echo '$(srcdir)/'`memcspn.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-memcspn.Tpo" "$(DEPDIR)/libsu_la-memcspn.Plo"; else rm -f "$(DEPDIR)/libsu_la-memcspn.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='memcspn.c' object='libsu_la-memcspn.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-memcspn.lo `test -f 'memcspn.c' || echo '$(srcdir)/'`memcspn.c
libsu_la-memccpy.lo: memccpy.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-memccpy.lo -MD -MP -MF "$(DEPDIR)/libsu_la-memccpy.Tpo" -c -o libsu_la-memccpy.lo `test -f 'memccpy.c' || echo '$(srcdir)/'`memccpy.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-memccpy.Tpo" "$(DEPDIR)/libsu_la-memccpy.Plo"; else rm -f "$(DEPDIR)/libsu_la-memccpy.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='memccpy.c' object='libsu_la-memccpy.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-memccpy.lo `test -f 'memccpy.c' || echo '$(srcdir)/'`memccpy.c
libsu_la-inet_ntop.lo: inet_ntop.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-inet_ntop.lo -MD -MP -MF "$(DEPDIR)/libsu_la-inet_ntop.Tpo" -c -o libsu_la-inet_ntop.lo `test -f 'inet_ntop.c' || echo '$(srcdir)/'`inet_ntop.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-inet_ntop.Tpo" "$(DEPDIR)/libsu_la-inet_ntop.Plo"; else rm -f "$(DEPDIR)/libsu_la-inet_ntop.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='inet_ntop.c' object='libsu_la-inet_ntop.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-inet_ntop.lo `test -f 'inet_ntop.c' || echo '$(srcdir)/'`inet_ntop.c
libsu_la-inet_pton.lo: inet_pton.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-inet_pton.lo -MD -MP -MF "$(DEPDIR)/libsu_la-inet_pton.Tpo" -c -o libsu_la-inet_pton.lo `test -f 'inet_pton.c' || echo '$(srcdir)/'`inet_pton.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-inet_pton.Tpo" "$(DEPDIR)/libsu_la-inet_pton.Plo"; else rm -f "$(DEPDIR)/libsu_la-inet_pton.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='inet_pton.c' object='libsu_la-inet_pton.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-inet_pton.lo `test -f 'inet_pton.c' || echo '$(srcdir)/'`inet_pton.c
libsu_la-poll.lo: poll.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-poll.lo -MD -MP -MF "$(DEPDIR)/libsu_la-poll.Tpo" -c -o libsu_la-poll.lo `test -f 'poll.c' || echo '$(srcdir)/'`poll.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-poll.Tpo" "$(DEPDIR)/libsu_la-poll.Plo"; else rm -f "$(DEPDIR)/libsu_la-poll.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='poll.c' object='libsu_la-poll.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-poll.lo `test -f 'poll.c' || echo '$(srcdir)/'`poll.c
libsu_la-getopt.lo: getopt.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-getopt.lo -MD -MP -MF "$(DEPDIR)/libsu_la-getopt.Tpo" -c -o libsu_la-getopt.lo `test -f 'getopt.c' || echo '$(srcdir)/'`getopt.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-getopt.Tpo" "$(DEPDIR)/libsu_la-getopt.Plo"; else rm -f "$(DEPDIR)/libsu_la-getopt.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='getopt.c' object='libsu_la-getopt.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-getopt.lo `test -f 'getopt.c' || echo '$(srcdir)/'`getopt.c
libsu_la-su_tag_ref.lo: su_tag_ref.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_tag_ref.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_tag_ref.Tpo" -c -o libsu_la-su_tag_ref.lo `test -f 'su_tag_ref.c' || echo '$(srcdir)/'`su_tag_ref.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_tag_ref.Tpo" "$(DEPDIR)/libsu_la-su_tag_ref.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_tag_ref.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_tag_ref.c' object='libsu_la-su_tag_ref.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_tag_ref.lo `test -f 'su_tag_ref.c' || echo '$(srcdir)/'`su_tag_ref.c
libsu_la-su_win32_port.lo: su_win32_port.c
@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -MT libsu_la-su_win32_port.lo -MD -MP -MF "$(DEPDIR)/libsu_la-su_win32_port.Tpo" -c -o libsu_la-su_win32_port.lo `test -f 'su_win32_port.c' || echo '$(srcdir)/'`su_win32_port.c; \
@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/libsu_la-su_win32_port.Tpo" "$(DEPDIR)/libsu_la-su_win32_port.Plo"; else rm -f "$(DEPDIR)/libsu_la-su_win32_port.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='su_win32_port.c' object='libsu_la-su_win32_port.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsu_la_CFLAGS) $(CFLAGS) -c -o libsu_la-su_win32_port.lo `test -f 'su_win32_port.c' || echo '$(srcdir)/'`su_win32_port.c
mostlyclean-libtool:
-rm -f *.lo
clean-libtool:
-rm -rf .libs _libs
distclean-libtool:
-rm -f libtool
uninstall-info-am:
install-nobase_include_sofiaHEADERS: $(nobase_include_sofia_HEADERS)
@$(NORMAL_INSTALL)
test -z "$(include_sofiadir)" || $(mkdir_p) "$(DESTDIR)$(include_sofiadir)"
@$(am__vpath_adj_setup) \
list='$(nobase_include_sofia_HEADERS)'; for p in $$list; do \
if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
$(am__vpath_adj) \
echo " $(nobase_include_sofiaHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(include_sofiadir)/$$f'"; \
$(nobase_include_sofiaHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(include_sofiadir)/$$f"; \
done
uninstall-nobase_include_sofiaHEADERS:
@$(NORMAL_UNINSTALL)
@$(am__vpath_adj_setup) \
list='$(nobase_include_sofia_HEADERS)'; for p in $$list; do \
$(am__vpath_adj) \
echo " rm -f '$(DESTDIR)$(include_sofiadir)/$$f'"; \
rm -f "$(DESTDIR)$(include_sofiadir)/$$f"; \
done
install-nobase_nodist_include_sofiaHEADERS: $(nobase_nodist_include_sofia_HEADERS)
@$(NORMAL_INSTALL)
test -z "$(include_sofiadir)" || $(mkdir_p) "$(DESTDIR)$(include_sofiadir)"
@$(am__vpath_adj_setup) \
list='$(nobase_nodist_include_sofia_HEADERS)'; for p in $$list; do \
if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
$(am__vpath_adj) \
echo " $(nobase_nodist_include_sofiaHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(include_sofiadir)/$$f'"; \
$(nobase_nodist_include_sofiaHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(include_sofiadir)/$$f"; \
done
uninstall-nobase_nodist_include_sofiaHEADERS:
@$(NORMAL_UNINSTALL)
@$(am__vpath_adj_setup) \
list='$(nobase_nodist_include_sofia_HEADERS)'; for p in $$list; do \
$(am__vpath_adj) \
echo " rm -f '$(DESTDIR)$(include_sofiadir)/$$f'"; \
rm -f "$(DESTDIR)$(include_sofiadir)/$$f"; \
done
ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | \
$(AWK) ' { files[$$0] = 1; } \
END { for (i in files) print i; }'`; \
mkid -fID $$unique
tags: TAGS
TAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
$(TAGS_FILES) $(LISP)
tags=; \
here=`pwd`; \
list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | \
$(AWK) ' { files[$$0] = 1; } \
END { for (i in files) print i; }'`; \
if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
test -n "$$unique" || unique=$$empty_fix; \
$(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
$$tags $$unique; \
fi
ctags: CTAGS
CTAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
$(TAGS_FILES) $(LISP)
tags=; \
here=`pwd`; \
list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | \
$(AWK) ' { files[$$0] = 1; } \
END { for (i in files) print i; }'`; \
test -z "$(CTAGS_ARGS)$$tags$$unique" \
|| $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
$$tags $$unique
GTAGS:
here=`$(am__cd) $(top_builddir) && pwd` \
&& cd $(top_srcdir) \
&& gtags -i $(GTAGS_ARGS) $$here
distclean-tags:
-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
check-TESTS: $(TESTS)
@failed=0; all=0; xfail=0; xpass=0; skip=0; \
srcdir=$(srcdir); export srcdir; \
list='$(TESTS)'; \
if test -n "$$list"; then \
for tst in $$list; do \
if test -f ./$$tst; then dir=./; \
elif test -f $$tst; then dir=; \
else dir="$(srcdir)/"; fi; \
if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
all=`expr $$all + 1`; \
case " $(XFAIL_TESTS) " in \
*" $$tst "*) \
xpass=`expr $$xpass + 1`; \
failed=`expr $$failed + 1`; \
echo "XPASS: $$tst"; \
;; \
*) \
echo "PASS: $$tst"; \
;; \
esac; \
elif test $$? -ne 77; then \
all=`expr $$all + 1`; \
case " $(XFAIL_TESTS) " in \
*" $$tst "*) \
xfail=`expr $$xfail + 1`; \
echo "XFAIL: $$tst"; \
;; \
*) \
failed=`expr $$failed + 1`; \
echo "FAIL: $$tst"; \
;; \
esac; \
else \
skip=`expr $$skip + 1`; \
echo "SKIP: $$tst"; \
fi; \
done; \
if test "$$failed" -eq 0; then \
if test "$$xfail" -eq 0; then \
banner="All $$all tests passed"; \
else \
banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
fi; \
else \
if test "$$xpass" -eq 0; then \
banner="$$failed of $$all tests failed"; \
else \
banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
fi; \
fi; \
dashes="$$banner"; \
skipped=""; \
if test "$$skip" -ne 0; then \
skipped="($$skip tests were not run)"; \
test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
dashes="$$skipped"; \
fi; \
report=""; \
if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
report="Please report to $(PACKAGE_BUGREPORT)"; \
test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
dashes="$$report"; \
fi; \
dashes=`echo "$$dashes" | sed s/./=/g`; \
echo "$$dashes"; \
echo "$$banner"; \
test -z "$$skipped" || echo "$$skipped"; \
test -z "$$report" || echo "$$report"; \
echo "$$dashes"; \
test "$$failed" -eq 0; \
else :; fi
distdir: $(DISTFILES)
$(mkdir_p) $(distdir)/../../rules $(distdir)/sofia-sip
@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
list='$(DISTFILES)'; for file in $$list; do \
case $$file in \
$(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
$(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
esac; \
if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
if test "$$dir" != "$$file" && test "$$dir" != "."; then \
dir="/$$dir"; \
$(mkdir_p) "$(distdir)$$dir"; \
else \
dir=''; \
fi; \
if test -d $$d/$$file; then \
if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
fi; \
cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
else \
test -f $(distdir)/$$file \
|| cp -p $$d/$$file $(distdir)/$$file \
|| exit 1; \
fi; \
done
check-am: all-am
$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: $(BUILT_SOURCES)
$(MAKE) $(AM_MAKEFLAGS) check-am
all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(SCRIPTS) $(HEADERS)
installdirs:
for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(pkgdatadir)" "$(DESTDIR)$(include_sofiadir)" "$(DESTDIR)$(include_sofiadir)"; do \
test -z "$$dir" || $(mkdir_p) "$$dir"; \
done
install: $(BUILT_SOURCES)
$(MAKE) $(AM_MAKEFLAGS) install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am
install-am: all-am
@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
installcheck: installcheck-am
install-strip:
$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
`test -z '$(STRIP)' || \
echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:
-test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
clean-generic:
distclean-generic:
-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
maintainer-clean-generic:
@echo "This command is intended for maintainers to use"
@echo "it deletes files that may require special tools to rebuild."
-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
clean: clean-am
clean-am: clean-binPROGRAMS clean-checkPROGRAMS clean-generic \
clean-libtool clean-noinstLTLIBRARIES mostlyclean-am
distclean: distclean-am
-rm -rf ./$(DEPDIR)
-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
distclean-libtool distclean-tags
dvi: dvi-am
dvi-am:
html: html-am
info: info-am
info-am:
install-data-am: install-dist_pkgdataSCRIPTS \
install-nobase_include_sofiaHEADERS \
install-nobase_nodist_include_sofiaHEADERS
install-exec-am: install-binPROGRAMS
install-info: install-info-am
install-man:
installcheck-am:
maintainer-clean: maintainer-clean-am
-rm -rf ./$(DEPDIR)
-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic
mostlyclean: mostlyclean-am
mostlyclean-am: mostlyclean-compile mostlyclean-generic \
mostlyclean-libtool
pdf: pdf-am
pdf-am:
ps: ps-am
ps-am:
uninstall-am: uninstall-binPROGRAMS uninstall-dist_pkgdataSCRIPTS \
uninstall-info-am uninstall-nobase_include_sofiaHEADERS \
uninstall-nobase_nodist_include_sofiaHEADERS
.PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
clean-binPROGRAMS clean-checkPROGRAMS clean-generic \
clean-libtool clean-noinstLTLIBRARIES ctags distclean \
distclean-compile distclean-generic distclean-libtool \
distclean-tags distdir dvi dvi-am html html-am info info-am \
install install-am install-binPROGRAMS install-data \
install-data-am install-dist_pkgdataSCRIPTS install-exec \
install-exec-am install-info install-info-am install-man \
install-nobase_include_sofiaHEADERS \
install-nobase_nodist_include_sofiaHEADERS install-strip \
installcheck installcheck-am installdirs maintainer-clean \
maintainer-clean-generic mostlyclean mostlyclean-compile \
mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
tags uninstall uninstall-am uninstall-binPROGRAMS \
uninstall-dist_pkgdataSCRIPTS uninstall-info-am \
uninstall-nobase_include_sofiaHEADERS \
uninstall-nobase_nodist_include_sofiaHEADERS
sofia-sip/su_configure.h: sofia-sip/su_configure.h.in
built-sources: $(BUILT_SOURCES)
clean-built-sources:
-rm -rf $(BUILT_SOURCES) $(BUILT_SOURCES:%=$(srcdir)/%)
*_tag_ref.c: $(TAG_AWK)
%_tag_ref.c: %_tag.c
$(AWK) -f $(TAG_AWK) NODLL=1 $(TAG_DLL_FLAGS) $<
@ENABLE_COVERAGE_TRUE@coverage:
@ENABLE_COVERAGE_TRUE@ @$(top_srcdir)/scripts/coverage $(COVERAGE_FLAGS) $(COVERAGE_INPUT)
../bnf/libbnf.la ../http/libhttp.la ../ipt/libipt.la ../iptsec/libiptsec.la \
../msg/libmsg.la ../nea/libnea.la ../nta/libnta.la ../nth/libnth.la \
../nua/libnua.la ../sdp/libsdp.la ../sip/libsip.la ../soa/libsoa.la \
../sresolv/libsresolv.la ../stun/libstun.la ../su/libsu.la \
../tport/libtport.la ../url/liburl.la:
$(MAKE) -C $(@D) $(@F)
valcheck: $(BUILT_SOURCES)
$(MAKE) $(AM_MAKEFLAGS) valcheck-am
valcheck-am: all-am
$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
$(MAKE) $(AM_MAKEFLAGS) valcheck-TESTS
# Run tests with valgrind in
valcheck-TESTS: $(TESTS)
@failed=0; all=0; xfail=0; xpass=0; skip=0; \
srcdir=$(srcdir); export srcdir; \
list='$(TESTS)'; \
if test -n "$$list"; then \
for tst in $$list; do \
if test -f ./$$tst; then dir=./; \
elif test -f $$tst; then dir=; \
else dir="$(srcdir)/"; fi; \
if case $$tst in \
run*) VALGRIND="$(VALGRIND) $(VALGRINDFLAGS)" \
$(TESTS_ENVIRONMENT) $${dir}$$tst ;; \
*) $(TESTS_ENVIRONMENT) $(VALGRIND) $(VALGRINDFLAGS) \
$${dir}$$tst ;; \
esac ; then \
all=`expr $$all + 1`; \
case " $(XFAIL_TESTS) " in \
*" $$tst "*) \
xpass=`expr $$xpass + 1`; \
failed=`expr $$failed + 1`; \
echo "XPASS: $$tst"; \
;; \
*) \
echo "PASS: $$tst"; \
;; \
esac; \
elif test $$? -ne 77; then \
all=`expr $$all + 1`; \
case " $(XFAIL_TESTS) " in \
*" $$tst "*) \
xfail=`expr $$xfail + 1`; \
echo "XFAIL: $$tst"; \
;; \
*) \
failed=`expr $$failed + 1`; \
echo "FAIL: $$tst"; \
;; \
esac; \
else \
skip=`expr $$skip + 1`; \
echo "SKIP: $$tst"; \
fi; \
done; \
if test "$$failed" -eq 0; then \
if test "$$xfail" -eq 0; then \
banner="All $$all tests passed"; \
else \
banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
fi; \
else \
if test "$$xpass" -eq 0; then \
banner="$$failed of $$all tests failed"; \
else \
banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
fi; \
fi; \
dashes="$$banner"; \
skipped=""; \
if test "$$skip" -ne 0; then \
skipped="($$skip tests were not run)"; \
test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
dashes="$$skipped"; \
fi; \
report=""; \
if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
report="Please report to $(PACKAGE_BUGREPORT)"; \
test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
dashes="$$report"; \
fi; \
dashes=`echo "$$dashes" | sed s/./=/g`; \
echo "$$dashes"; \
echo "$$banner"; \
test -z "$$skipped" || echo "$$skipped"; \
test -z "$$report" || echo "$$report"; \
echo "$$dashes"; \
test "$$failed" -eq 0; \
else :; fi
# ----------------------------------------------------------------------
# Sofia specific rules
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT: